# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

catalog:
  - name: "Welcome"
    path: "/readme"
  - name: "User Guide"
    catalog:
      - name: "Installation"
        catalog:
          - name: "Get Binaries"
            path: "/installation/binaries"
          - name: "Standalone Mode"
            path: "/installation/standalone"
          - name: "Cluster Mode"
            path: "/installation/cluster"
          - name: "Installation On Docker"
            path: "/installation/docker"
          - name: "Installation On Kubernetes"
            path: "/installation/kubernetes"
      - name: "Basic Concepts and Terminology"
        catalog:
          - name: "Data Model"
            path: "/concept/data-model"
      - name: "Quick Start Tutorial"
        path: "/guides/quick-start/quick-start"
      - name: "Versions and Compatibility"
        path: "/installation/versions"
  - name: "Interacting"
    catalog:
      - name: "CLI"
        catalog:
          - name: "bydbctl"
            path: "/interacting/bydbctl/bydbctl"
          - name: "CRUD Schema"
            catalog:
              - name: "Group"
                path: "/interacting/bydbctl/schema/group"
              - name: "Measure"
                path: "/interacting/bydbctl/schema/measure"
              - name: "Stream"
                path: "/interacting/bydbctl/schema/stream"
              - name: "IndexRule"
                path: "/interacting/bydbctl/schema/index-rule"
              - name: "IndexRuleBinding"
                path: "/interacting/bydbctl/schema/index-rule-binding"
              - name: "Top N Aggregation"
                path: "/interacting/bydbctl/schema/top-n-aggregation"
          - name: "Querying Data"
            catalog:
              - name: "Measure"
                path: "/interacting/bydbctl/query/measure"
              - name: "Stream"
                path: "/interacting/bydbctl/query/stream"
              - name: "Filter Operation"
                path: "/interacting/bydbctl/query/filter-operation"
              - name: "Top N Aggregation"
                path: "/interacting/bydbctl/query/top-n-aggregation"
          - name: "CRUD Property"
            path: "/interacting/bydbctl/property"
          - name: "Analyzing Data"
            path: "/interacting/bydbctl/analyze"
      - name: "Web UI"
        catalog:
          - name: "Dashboard"
            path: "/interacting/web-ui/dashboard"
          - name: "CRUD Schema"
            catalog:
              - name: "Group"
                path: "/interacting/web-ui/schema/group"
              - name: "Measure"
                path: "/interacting/web-ui/schema/measure"
              - name: "Stream"
                path: "/interacting/web-ui/schema/stream"
              - name: "IndexRule"
                path: "/interacting/web-ui/schema/index-rule"
              - name: "IndexRuleBinding"
                path: "/interacting/web-ui/schema/index-rule-binding"
              - name: "Top N Aggregation"
                path: "/interacting/web-ui/schema/top-n-aggregation"
          - name: "Querying Data"
            catalog:
              - name: "Measure"
                path: "/interacting/web-ui/query/measure"
              - name: "Stream"
                path: "/interacting/web-ui/query/stream"
          - name: "CRUD Property"
            path: "/interacting/web-ui/property"
      - name: "Client APIs"
        path: "/interacting/client"
      - name: "Data Lifecycle"
        path: "/interacting/data-lifecycle"
      - name: "BydbQL"
        path: "/interacting/bydbql"
  - name: "Operation and Maintenance"
    catalog:
      - name: "Configure BanyanDB"
        path: "/operation/configuration"
      - name: "Disk Management"
        path: "/operation/disk-management"
      - name: "System Configuration"
        path: "/operation/system"
      - name: "Upgrade"
        path: "/operation/upgrade"
      - name: "Observability"
        path: "/operation/observability"
      - name: "Cluster Management"
        path: "/operation/cluster"
      - name: "Troubleshooting"
        catalog:
          - name: "Error Checklist"
            path: "/operation/troubleshooting/error-checklist"
          - name: "Troubleshooting Installation"
            path: "/operation/troubleshooting/install"
          - name: "Troubleshooting Crash"
            path: "/operation/troubleshooting/crash"
          - name: "Troubleshooting No Data"
            path: "/operation/troubleshooting/no-data"
          - name: "Troubleshooting Overhead"
            path: "/operation/troubleshooting/overhead"
          - name: "Troubleshooting Query"
            path: "/operation/troubleshooting/query"
      - name: "Security"
        path: "/operation/security"
      - name: "Backup"
        path: "/operation/backup"
      - name: "Restore"
        path: "/operation/restore"
      - name: "Lifecycle Management"
        path: "/operation/lifecycle"
      - name: "MCP Server"
        catalog:
          - name: "Setup MCP"
            path: "/operation/mcp/setup"
          - name: "Test via Inspector"
            path: "/operation/mcp/inspector"
          - name: "Build and Package"
            path: "/operation/mcp/build"
      - name: "First Occurrence Data Collection (FODC)"
        catalog:
          - name: "Overview"
            path: "/operation/fodc/overview"
          - name: "KTM Metrics"
            path: "/operation/fodc/ktm_metrics"
          - name: "Proxy APIs and CLI Flags"
            path: "/operation/fodc/apis"
      - name: "Property Background Repair"
        path: "/concept/property-repair"
      - name: "Benchmark"
        catalog:
          - name: "Single‑Model Benchmark (Trace / Log / Measure / Property)"
            path: "/operation/benchmark/benchmark-single-model"
          - name: "Hybrid Scenario Benchmark"
            path: "/operation/benchmark/benchmark-hybrid"
  - name: "File Format"
    catalog:
      - name: "v1.3.0"
        path: "/concept/tsdb"
  - name: "Concepts"
    catalog:
      - name: "Clustering"
        path: "/concept/clustering"
      - name: "TSDB"
        path: "/concept/tsdb"
      - name: "Data Rotation"
        path: "/concept/rotation"
      - name: "Property Background Repair"
        path: "/concept/property-repair"
  - name: "Contribute"
    catalog:
      - name: "Debugging"
        path: "/contribute/debugging"